/******************************************************************
  Variables :
      Those should be used in your theme
******************************************************************/
/*
 * Breakpoints
 */
/*
 * Block sizes
 */
/*
 * Fonts
 */
/*
 * Colors
 */
/* Functionnal colors */
/* Theme Colors */
/* Usefull colors */
/* Alert color */
#show_less_reviews .link__icon {
    transform: rotate(45deg);
}

.labels {
    display: -moz-inline-box;
    display: inline-block;
    vertical-align: middle;
    padding: 0 5px;
}

.label {
    display: -moz-inline-box;
    display: inline-block;
    vertical-align: middle;
    position: relative;
    height: 20px;
    margin: 2px 8.5px;
    padding: 0 4px;
    color: white;
    background-color: #0080c3;
    font: 900 11px/20px "Tisa", Helvetica, Arial, sans-serif;
    text-align: center;
    text-transform: uppercase;
    list-style: none;
}

.label:before {
    position: absolute;
    top: 0;
    left: -6px;
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 10px 6px 10px 0;
    border-color: transparent #0080c3 transparent transparent;
    content: "";
}

.label:after {
    position: absolute;
    top: 0;
    right: -6px;
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 10px 0 10px 6px;
    border-color: transparent transparent transparent #0080c3;
    content: "";
}

.label--eco {
    background: #8fcfbe;
}

.label--eco:before {
    border-color: transparent #8fcfbe transparent transparent;
}

.label--eco:after {
    border-color: transparent transparent transparent #8fcfbe;
}

.youtube-vid {
    max-width: 92%;
}

.youtube-vid .fancybox-inner {
    width: 100% !important;
    height: 0 !important;
    padding-top: 56.2%;
    overflow: hidden !important;
}

.youtube-vid .fancybox-inner .fancybox-iframe {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}

.video-trigger {
    position: relative;
    width: 100%;
    padding-top: 140%;
    cursor: pointer;
}

.video-trigger__play {
    position: absolute;
    top: calc(50% - 15px);
    left: calc(50% - 15px);
    width: 30px;
    height: 30px;
}

.video-trigger__play svg path {
    fill: white;
}

#availability_date {
    color: #0080c3;
    margin-top: 10px;
}

#availability_date > p {
    line-height: normal;
}

.availability-wrapper {
    margin: 20px 0 30px;
}

.availability {
    display: -moz-inline-box;
    display: inline-block;
    padding: 5px 15px;
    color: white;
    background-color: black;
    border-radius: 24px;
    font-size: 15px;
}

.availability.label-success {
    background-color: #6ec955;
}

.availability.label-warning {
    background-color: #0080c3;
}

.availability.label-danger {
    background-color: #ff0000;
}

.tabs {
    margin: 24px 0;
}

.tabs__trigger {
    -webkit-transition: all 300ms;
    transition: all 300ms;
    display: -moz-inline-box;
    display: inline-block;
    vertical-align: middle;
    padding: 0 15px;
    color: #ccc;
    border-right: solid 1px rgba(0, 0, 0, 0.2);
    font: 900 13px/46px "Tisa", Helvetica, Arial, sans-serif;
    text-transform: uppercase;
    cursor: pointer;
}

.tabs__trigger--active {
    color: black;
}

.tabs__trigger:first-of-type {
    padding-left: 0;
}

.tabs__trigger:last-of-type {
    border: 0 none;
}

.tabs__content {
    display: none;
    padding: 15px 0;
}

.tabs__content#tab-description > div {
    position: relative;
    max-height: 271px;
    overflow: hidden;
}

.tabs__content#tab-description > div.not_complete {
    max-height: 270px;
}

.tabs__content#tab-description > div.not_complete:after {
    position: absolute;
    display: block;
    content: '';
    z-index: 2;
    bottom: 0;
    left: 0;
    right: 0;
    height: 50px;
    background: white;
    background: linear-gradient(0deg, white 0%, rgba(255, 255, 255, 0) 100%);
}

.tabs__content#tab-description > div.not_complete.active:after {
    display: none;
}

.tabs__content#tab-description button {
    display: none;
    position: relative;
    padding: 0;
    margin-top: 10px;
    border: none;
    background: none;
    color: #0080c3;
}

.tabs__content#tab-description button:focus {
    outline: none;
}

.tabs__content#tab-description button.active .icon {
    transform: rotate(45deg);
}

.tabs__content#tab-description button > span {
    display: inline-block;
    vertical-align: middle;
}

.tabs__content#tab-description button svg {
    width: 10px;
    height: 10px;
    fill: #0080c3;
}

.tabs__content#tab-description button:after {
    position: absolute;
    content: '';
    display: block;
    height: 1px;
    width: 100%;
    background: #0080c3;
    bottom: 0;
    left: 0;
    right: 0;
}

.img-feature {
    display: -moz-inline-box;
    display: inline-block;
    vertical-align: top;
    width: 29.3333%;
    margin: 2%;
}

.img-feature__icon {
    float: left;
    width: 60px;
}

.img-feature__content {
    float: left;
    width: calc(100% - 60px);
    padding-left: 10px;
    line-height: normal;
}

#accessories .page-subheading {
    margin-bottom: 35px;
}

.product__wrapper {
    background-image: -webkit-gradient(linear, left 0%, left 60px, from(#ebebeb), to(white));
    background-image: -webkit-linear-gradient(top, #ebebeb, 0%, white, 60px);
    background-image: -moz-linear-gradient(top, #ebebeb 0%, white 60px);
    background-image: linear-gradient(to bottom, #ebebeb 0%, white 60px);
    background-repeat: repeat-x;
    padding-top: 60px;
}

.product__subwrapper {
    background-image: -webkit-gradient(linear, left 0%, left 90px, from(#ebebeb), to(white));
    background-image: -webkit-linear-gradient(top, #ebebeb, 0%, white, 90px);
    background-image: -moz-linear-gradient(top, #ebebeb 0%, white 90px);
    background-image: linear-gradient(to bottom, #ebebeb 0%, white 90px);
    background-repeat: repeat-x;
}

.product__images {
    float: left;
    width: 50%;
    font-size: 0;
}

.product__images img {
    width: 100%;
    height: auto;
}

.product__images__main {
    float: right;
    width: 75%;
    margin: 0 2.5%;
}

.product__images__thumbnails {
    float: left;
    width: 15%;
}

.product__images__thumbnails .bx-wrapper {
    padding-top: 30px;
}

.product__images__thumbnails .bx-wrapper .bx-pager.bx-default-pager a {
    -webkit-transition: all 250ms;
    transition: all 250ms;
    opacity: 0.2;
    filter: alpha(opacity=20);
}

.product__images__thumbnails .bx-wrapper .bx-pager.bx-default-pager a:hover,
.product__images__thumbnails .bx-wrapper .bx-pager.bx-default-pager a.active {
    opacity: 1;
    filter: alpha(opacity=100);
}

.product__images__thumbnails .bx-wrapper .bx-controls-direction a {
    left: calc(50% - 10px);
    height: 26px;
}

.product__images__thumbnails .bx-wrapper .bx-controls-direction a.bx-prev {
    top: auto;
    bottom: -30px;
}

.product__images__thumbnails .bx-wrapper .bx-controls-direction a.bx-next {
    top: 0;
    bottom: auto;
}

.product__images__thumbnails .bx-wrapper .bx-controls-direction a:before {
    display: none;
}

.product__info {
    float: right;
    width: 50%;
}

.product__info__title {
    margin-bottom: 20px;
    color: #0080c3;
    font-size: 70px;
    line-height: 70px;
}

.product__info__heading {
    border-bottom: solid 1px rgba(0, 0, 0, 0.2);
    font-size: 0;
}

.product__info__heading .price {
    font-size: 20px;
    line-height: normal;
}

.product__info__heading .price--old {
    font-weight: 600;
}

.product__info__heading__box {
    display: -moz-inline-box;
    display: inline-block;
    vertical-align: middle;
    padding: 12px 15px;
    border-right: solid 1px rgba(0, 0, 0, 0.2);
}

.product__info__heading__box:first-of-type {
    padding-left: 0;
}

.product__info__heading__box:last-of-type {
    border: 0 none;
}

.product__info__heading__box.floating-box {
    padding: 0 15px;
}

.product__info__price {
    margin: 5px 0;
}

.product__info__price .price {
    font-size: 35px;
    line-height: normal;
}

.product__info__shortdesc {
    margin: 10px 0;
}

.product__info__attributes {
    margin-right: 8px;
}

.product__info__buyblock__wrapper {
    display: table;
    margin: 15px 0;
}

.product__info__buyblock__col {
    display: table-cell;
    vertical-align: bottom;
}

.product__info__buyblock__col.favorite {
    padding-left: 6px;
}

.product__info__buyblock__quantity {
    -webkit-box-sizing: content-box;
    -moz-box-sizing: content-box;
    box-sizing: content-box;
    float: left;
    position: relative;
    width: 50px;
    padding-right: 25px;
}

.product__info__buyblock__quantity .product_quantity_input {
    width: 100%;
    padding: 0;
    font: 900 20px "Tisa", Helvetica, Arial, sans-serif;
    text-align: center;
}

.product__info__buyblock__quantity .button {
    position: absolute;
    left: calc(100% - 25px);
    border-left: 0 none;
    height: 25px;
    width: 25px;
    padding: 0;
    line-height: normal;
}

.product__info__buyblock__quantity .button__content {
    line-height: 23px;
    display: block;
    font-size: 22px;
}

.product__info__buyblock__quantity .button:before, .product__info__buyblock__quantity .button:after {
    display: none;
}

.product__info__buyblock__quantity .button:hover {
    background-color: black;
}

.product__info__buyblock__quantity .product_quantity_up {
    top: 0;
    border-bottom: solid 1px black;
}

.product__info__buyblock__quantity .product_quantity_down {
    bottom: 0;
    border-top: solid 1px black;
}

.product__info__buyblock__add {
    float: right;
    margin-left: 8px;
}

.product__info__buyblock__spare-parts {
    margin-top: 25px;
}

.product__info__features {
    margin-bottom: 24px;
}

.product__info__supp {
    display: block;
    color: #0080c3;
    padding: 0 0 8px 0;
}

.product__info__ecotax {
    color: #0080c3;
}

/* Smaller desktop, tablet & mobile */
@media only screen and (max-width: 1240px) {
    .labels {
        display: block;
        margin: 5px 0;
        padding: 0;
    }
    .product__info__title {
        margin-bottom: 10px;
        font-size: 60px;
        line-height: 60px;
    }
    .product__info__price .price {
        margin-top: -10px;
    }
    .product__info__buyblock__wrapper {
        display: block;
    }
    .product__info__buyblock__col {
        display: -moz-inline-box;
        display: inline-block;
    }
    .product__info__buyblock__col--attributes {
        display: block;
        margin-bottom: 12px;
    }
}

/* Smaller desktop only */
@media only screen and (min-width: 1025px) and (max-width: 1240px) {
    .tabs__triggers {
        display: table;
    }
    .tabs__trigger {
        display: table-cell;
        text-align: center;
        line-height: normal;
    }
}

/* Tablet & mobile */
@media only screen and (max-width: 1024px) {
    .video-trigger {
        height: 436px;
        padding: 0;
        background-size: contain;
    }
    .product__images {
        float: none;
        width: 100%;
    }
    .product__images__thumbnails {
        float: none;
        width: auto;
        max-width: 312px;
        margin: 0 auto 50px;
    }
    .product__images__thumbnails .bx-wrapper {
        padding: 0;
    }
    .product__images__main, .product__images__baseline {
        display: none;
    }
    .product__info {
        float: none;
        width: 100%;
    }
    .product__info__buyblock__quantity {
        width: auto;
        padding: 0;
        border-left: solid 1px black;
        border-right: solid 1px black;
        font-size: 0;
    }
    .product__info__buyblock__quantity .product_quantity_input {
        display: -moz-inline-box;
        display: inline-block;
        vertical-align: middle;
        width: 38px;
        border-left: solid 1px black;
        border-right: solid 1px black;
    }
    .product__info__buyblock__quantity .button {
        display: -moz-inline-box;
        display: inline-block;
        vertical-align: middle;
        position: static;
        width: 38px;
        height: 38px;
        border-left: solid 1px black;
        border-right: solid 1px black;
    }
    .product__info__buyblock__quantity .button .button__content {
        display: block;
        max-width: 100%;
        text-align: center;
        line-height: 32px;
    }
    .product__info__buyblock__quantity .product_quantity_down,
    .product__info__buyblock__quantity .product_quantity_up {
        border-top: solid 2px black;
        border-bottom: solid 2px black;
    }
}

/* Portrait & landscape mobile */
@media only screen and (max-width: 767px) {
    .img-feature {
        width: 100%;
        text-align: center;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        gap: 10px;
    }
    .product__info__features {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-gap: 20px;
    }
    .img-feature__icon {
        float: none;
    }
    .img-feature__content {
        float: none;
        display: block;
        width: 100%;
    }
    .tabs__trigger {
        font-size: 10px;
        line-height: 26px;
        margin-bottom: 10px;
    }
    .tabs__content {
        padding-top: 0;
    }
    .product__info__title {
        font-size: 34px;
        line-height: 34px;
    }
    .product__info__heading {
        position: relative;
    }
    .product__info__heading .floating-box {
        width: 100%;
        padding: 0;
        left: 0;
        bottom: 100%;
    }
    .product__info__heading.has-label {
        margin-top: 40px;
    }
    .product__info__buyblock__col {
        font-size: 0;
    }
    .product__info__buyblock__quantity {
        display: -moz-inline-box;
        display: inline-block;
        float: none;
        margin: 0 8px 10px 0;
    }
    .product__info__buyblock__add {
        display: -moz-inline-box;
        display: inline-block;
        vertical-align: middle;
        margin: 0;
        float: none;
    }
    .product__info__price .price {
        font-size: 20px;
        line-height: normal;
    }
}
.alma-payment-plans-eligibility-options .alma-payment-plans-active-option {
    width: unset;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    flex-direction: row;
    gap: 4px;
}
.alma-payment-plans-eligibility-options .alma-payment-plans-active-option:before {
    content: 'Paiement en ';
}

.product__info__tabs .accordion li.accordion-item {
    list-style: none;
    margin: 0;
    border-bottom: solid 1px rgba(0,0,0,0.2);
    position: relative;
}

.product__info__tabs .accordion li.accordion-item:first-child {
    border-top: solid 1px rgba(0,0,0,0.2);
}

.product__info__tabs .accordion li.accordion-item .accordion-trigger {
    padding: 18px 20px 18px 0;
    transition: .2s ease-in;
    font: 900 13px/46px "Tisa",Helvetica,Arial,sans-serif;
    text-transform: uppercase;
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.product__info__tabs .accordion li.accordion-item .accordion-trigger .arrow-icon {
    transition: .2s ease-in;
}

.product__info__tabs .accordion li.accordion-item .accordion-trigger .arrow-icon svg {
    height: 15px;
}

.product__info__tabs .accordion li.accordion-item .accordion-trigger:hover {
    cursor: pointer;
}

.product__info__tabs .accordion li.accordion-item .accordion-content {
    padding: 10px 0 15px;
    margin: 0;
}

.mobile-only {
    display: none;
}

.desktop-only {
    display: block;
}

@media only screen and (max-width: 1024px) {
    .mobile-only {
        display: block;
    }
    .desktop-only {
        display: none;
    }
}

/*# sourceMappingURL=data:application/json;base64,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 */
